import request from '@/utils/request'

// 列表
export function list(query) {
  return request({
    url: '/system/business/gspRkjl/list',
    method: 'get',
    params: query
  })
}
// 新增
export function xz(data) {
  return request({
    url: '/system/business/gspRkjl/xz',
    method: 'post',
    data: data
  })
}
// 编辑
export function bj(data) {
  return request({
    url: '/system/business/gspRkjl/bj',
    method: 'post',
    data: data
  })
}
// 稽查轨迹列表
export function jcgjList(query) {
  return request({
    url: '/system/business/gspRkjl/jcgjList',
    method: 'get',
    params: query
  })
}

// 详情
export function info(query) {
  return request({
    url: '/system/business/gspRkjl/info',
    method: 'get',
    params: query
  })
}
// 解锁
export function js(data) {
  return request({
    url: '/system/business/gspRkjl/js',
    method: 'post',
    data: data
  })
}
// 锁定
export function sd(data) {
  return request({
    url: '/system/business/gspRkjl/sd',
    method: 'post',
    data: data
  })
}
// 锁定
export function plsd(data) {
  return request({
    url: '/system/business/gspRkjl/plsd',
    method: 'post',
    data: data
  })
}
//归档
export function gd(data) {
  return request({
    url: '/system/business/gspRkjl/gd',
    method: 'post',
    data: data
  })
}
//解档
export function jd(data) {
  return request({
    url: '/system/business/gspRkjl/jd',
    method: 'post',
    data: data
  })
}
//借阅
export function jy(data) {
  return request({
    url: '/system/business/gspRkjl/jy',
    method: 'post',
    data: data
  })
}
//归档
export function plgd(data) {
  return request({
    url: '/system/business/gspRkjl/plgd',
    method: 'post',
    data: data
  })
}
//加签
export function jq(data) {
  return request({
    url: '/system/business/gspRkjl/jq',
    method: 'post',
    data: data
  })
}